/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package webservice2.listener;

import javax.ejb.EJB;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.xml.ws.WebServiceRef;
import webservice2.ejb.TestBean2;
import webservice2.service.WebService1_Service;

/**
 *
 * @author Salex
 */
public class ApplicationStartupListener implements ServletContextListener {

	@EJB
	private TestBean2 ejbTest2;
	@WebServiceRef(wsdlLocation = "WEB-INF/wsdl/localhost_8080/WebService1/WebService1.wsdl")
	private WebService1_Service service;

	@Override
	public void contextInitialized(ServletContextEvent sce) {
		System.out.println("Context initialized for WebService2");
		ejbTest2.test();
		System.out.println("Calling web service method...");
		service.getWebService1Port().hello("blaaaaa");
		System.out.println("Done calling web service 1");
	}

	@Override
	public void contextDestroyed(ServletContextEvent sce) {
		System.out.println("Context destroyed for WebService2");
	}
}
